public class Songs
{
    // Jingle Bells
    [3,3,3,3,3,3,3,5,1,2,3] @=> static int jinglebellnotes[];
    [1.0,1.0,2.0,1.0,1.0,2.0,1.0,1.0,1.5,0.5,4.0] @=> static float jinglebelltimes[];
    [0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0] @=> static float jinglebelltimes2[];
    for(1=>int i; i<jinglebelltimes.size(); i++) {
        jinglebelltimes[i-1] + jinglebelltimes2[i-1] => jinglebelltimes2[i];
        // <<< i, jinglebelltimes2[i] >>>;
    }
    [0,2,4,5,7,9,11,12] @=> static int jinglebellScale[];
    40 => static int jinglebellStartNote;
    .3 => static float jinglebellMultiplier; // convert beats to time in seconds
    16 * jinglebellMultiplier => static float jinglebellLength; // Length, time in seconds

    // Hedwig's Theme
    [0  ,2  ,4  ,3  ,2  ,6  ,5  ,3  ,2  ,4  ,3  ,1  ,2  ,0  ] @=> static int hedwignotes[];
    [1.0,1.5,0.5,1.0,2.0,1.0,3.0,3.0,1.5,0.5,1.0,2.0,1.0,5.0] @=> static float hedwigtimes[];
    [0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0] @=> static float hedwigtimes2[];
    for(1=>int i; i<hedwigtimes.size(); i++) {
        hedwigtimes[i-1] + hedwigtimes2[i-1] => hedwigtimes2[i];
        // <<< i, hedwigtimes2[i] >>>;
    }

    [4,5,7,8,10,12,0] @=> static int hedwigScale[];
    70 => static int hedwigStartNote;
    .3 => static float hedwigMultiplier; // convert beats to time in seconds
    (hedwigtimes2[hedwigtimes.size()-1]+hedwigtimes[hedwigtimes.size()-1]) * 
            hedwigMultiplier => static float hedwigLength; // Length, time in seconds

    fun static float[] songNote(string songName, int noteNumber)
    {
        if (songName=="jinglebells") {
            jinglebellnotes[noteNumber] => int note;
            jinglebelltimes2[noteNumber] => float length;
            length * jinglebellMultiplier => length;
            jinglebellStartNote + jinglebellScale[note-1] => note;
            [note$float, length, jinglebellLength] @=> float output[];
            return output;
        }
        if (songName=="hedwigstheme") {
            hedwignotes[noteNumber] => int note;
            hedwigtimes2[noteNumber] => float length;
            length * hedwigMultiplier => length;
            hedwigStartNote + hedwigScale[note-1] => note;
            [note$float, length, hedwigLength] @=> float output[];
            return output;
        }
        return [0.0,0.0,0.0];
    }

    fun static int songLength(string songName)
    {
        if (songName=="jinglebells") {
            return jinglebellnotes.size();
        }
        if (songName=="hedwigstheme") {
            return hedwignotes.size();
        }
        return 0;
    }
    
    fun static void start()
    {
        Songs songs;
        // keep all child shreds in play
        while( true ) eon => now;
    }
}

Songs.start();