// prepare stars - points!
GPoints points --> GG.scene();

200 => int numPoints;
float pointPos[numPoints * 3];
float pointColor[numPoints * 4];
float brightDir[numPoints];
0 => int index;
10 => float posScale;

// populate within a 10x10x10 cube
for (int i; i < numPoints; i++) {

    // set position of this vertex
    Math.random2f(-posScale,posScale) => pointPos[3*index + 0];
    Math.random2f(-posScale,posScale) => pointPos[3*index + 1];
    Math.random2f(-posScale,posScale) => pointPos[3*index + 2];
    
    // set color of this vertex
    1 => pointColor[4*index + 0];
    1 => pointColor[4*index + 1];
    1 => pointColor[4*index + 2];
    Math.random2f(.3,1.0) => pointColor[4*index + 3];  // alpha always 1

    // twinkling
    Math.random2f(-5,5)=> brightDir[index];

    index+1 => index;
}

points.geo().positions(pointPos);  // set vertex position data
points.geo().colors(pointColor);   // set vertex color data

fun void move_stars() {
    0 => int index;
    for (int i; i < numPoints; i++) {

        // set position of this vertex
        // pointPos[3*index + 0]+Math.random2f(-posScale,posScale) => pointPos[3*index + 0];
        // Math.random2f(-posScale,posScale) => pointPos[3*index + 1];
        // Math.random2f(-posScale,posScale) => pointPos[3*index + 2];
        
        // set brightness of this vertex
        pointColor[4*index + 3] + brightDir[index] * GG.dt() => pointColor[4*index + 3];
        if (pointColor[4*index + 3]>0.9 && brightDir[index] > 0) {
            Math.random2f(-5,5)=> brightDir[index];
            // - brightDir[index] => brightDir[index];
        }
        if (pointColor[4*index + 3] < -0.9 && brightDir[index] < 0) {
            Math.random2f(-5,5)=> brightDir[index];
            // - brightDir[index] => brightDir[index];
        }
        // alpha
        index+1 => index;
    }
    points.geo().colors(pointColor);
    // points.posX(points.posX()+GG.dt());
    points.rotateOnLocalAxis(@(0,1,0),0.04*GG.dt());
}

while(true)
{
    move_stars();
    GG.nextFrame() => now;
}