GG.scene().backgroundColor( @(0,0,0) );
GG.camera().pos( @(15,0,0) );
GG.camera().lookAt( @(0,0,0) );

0 => float ss;

Waterfall waterfall --> GG.scene();
waterfall.pos( @(0,0,0) );

fun void keys() {
    while (true) {
        waterfall.latest( "RRRRRRRRRR" );
        500::ms => now;
    }
} spork ~ keys();

fun void move_camera() {

    if( KB.isKeyDown(KB.KEY_S) ) { // speed up
        if ( ss< 6 ) { ss+5*GG.dt() => ss; }
    } else { 1 => ss; }
    if( KB.isKeyDown(KB.KEY_D) ) { // positive x axis
        GG.camera().translate(GG.dt()*ss*GG.camera().right());
    }
    if( KB.isKeyDown(KB.KEY_A) ) { // negative x axis
        GG.camera().translate(-GG.dt()*ss*GG.camera().right());
    }
    if( KB.isKeyDown(KB.KEY_E) ) { // positive y axis
        GG.camera().translate(GG.dt()*ss*GG.camera().forward());
    }
    if( KB.isKeyDown(KB.KEY_Z) ) { // negative y axis
        GG.camera().translate(-GG.dt()*ss*GG.camera().forward());
    }
    if( KB.isKeyDown(KB.KEY_W) ) { // positive z axis
        GG.camera().translate(GG.dt()*ss*GG.camera().up());
    }
    if( KB.isKeyDown(KB.KEY_X) ) { // negative z axis
        GG.camera().translate(-GG.dt()*ss*GG.camera().up());
    }
    if( KB.isKeyDown(KB.KEY_U) ) { // rotate + x axis
        GG.camera().rotateOnWorldAxis(GG.camera().right(), .3*GG.dt()*ss);
    }
    if( KB.isKeyDown(KB.KEY_M) ) { // rotate - x axis
        GG.camera().rotateOnWorldAxis(GG.camera().right(), -.3*GG.dt()*ss);
    }
    if( KB.isKeyDown(KB.KEY_I) ) { // rotate + y axis
        GG.camera().rotateOnWorldAxis(GG.camera().forward(), .3*GG.dt()*ss);
    }
    if( KB.isKeyDown(KB.KEY_N) ) { // rotate - y axis
        GG.camera().rotateOnWorldAxis(GG.camera().forward(), -.3*GG.dt()*ss);
    }
    if( KB.isKeyDown(KB.KEY_H) ) { // rotate + z axis
        GG.camera().rotateOnWorldAxis(GG.camera().up(), .3*GG.dt()*ss);
    }
    if( KB.isKeyDown(KB.KEY_K) ) { // rotate - z axis
        GG.camera().rotateOnWorldAxis(GG.camera().up(), -.3*GG.dt()*ss);
    }
    if( KB.isKeyDown(KB.KEY_P) ) { // print camera pos and angle
        <<< "Position: ", GG.camera().pos() >>>;
        <<< "Rotation: ", GG.camera().rot() >>>;
    }
}

while (true) {
    move_camera();
    GG.nextFrame() => now;
}


